Loading...
Searching...
No Matches
_MemoryPool Struct Reference

## Data Fields

size_t | allocation
void * | blocks [MaxBlocks+1]
size_t | number_segments
DataSegmentInfo * | segments [MaxSegments]
DataSegmentInfo | segment_pool [MaxSegments]

## Detailed Description

Definition at line 181 of file memory.c.

## Field Documentation

## allocation

size_t _MemoryPool::allocation

Definition at line 184 of file memory.c.

## blocks

void* _MemoryPool::blocks[MaxBlocks+1]

Definition at line 187 of file memory.c.

## number_segments

size_t _MemoryPool::number_segments

Definition at line 190 of file memory.c.

## segment_pool

DataSegmentInfo _MemoryPool::segment_pool[MaxSegments]

Definition at line 194 of file memory.c.

## segments

DataSegmentInfo* _MemoryPool::segments[MaxSegments]

Definition at line 193 of file memory.c.

The documentation for this struct was generated from the following file:

- memory.c